import 'package:domain/entity/facility_page_entity.dart';
import 'package:widgets/load_state_layout.dart';

class FacilityHistoryState {

  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  List<FacilityDetail> datas; //页面列表数据

  // ===================================  Begin  ↓  ===================================

  FacilityHistoryState({
    this.loadingState = LoadState.State_Loading,
    this.errorMessage,
    required this.datas,
  });

  FacilityHistoryState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    bool? needShowPlaceholder,
    List<FacilityDetail>? datas,
  }) {
    return FacilityHistoryState(
      errorMessage: errorMessage ?? this.errorMessage,
      loadingState: loadingState ?? this.loadingState,
      datas: datas ?? this.datas,
    );
  }
}
