import 'package:cs_resources/generated/assets.dart';


class ServicesVmState {
  List<Map<String, dynamic>>? topSectionsData;

  int? parentCategoryId;
  int currentPageViewIdx = 0;
  dynamic? tabsRouter;

  ServicesVmState({
    List<Map<String, dynamic>>? topSectionsData,
    this.parentCategoryId,
    required this.currentPageViewIdx,
    this.tabsRouter,
  }) : topSectionsData = topSectionsData?? [
    {
      "title": "Service",
      "code": "service",
      "icon": Assets.serviceServiceType,
    },
    {
      "title": "In Progress",
      "code": "inProgress",
      "icon": Assets.serviceInProgress,
    },
    {
      "title": "History",
      "code": "history",
      "icon": Assets.serviceHistory,
    },
  ];

  ServicesVmState copyWith({
    List<Map<String, dynamic>>? topSectionsData,
    int? parentCategoryId,
    int? currentPageViewIdx,
    dynamic? tabsRouter,
  }) {
    return ServicesVmState(
      topSectionsData: topSectionsData ?? this.topSectionsData,
      parentCategoryId: parentCategoryId ?? this.parentCategoryId,
      currentPageViewIdx: currentPageViewIdx ?? this.currentPageViewIdx,
      tabsRouter: tabsRouter ?? this.tabsRouter,
    );
  }
}